
Application: gvSIG desktop - gvSIG feature requests #2641
El asistete de exportacion a postgresql falla al exportar algunas capas.
07/07/2014 02:22 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Database
Target version: 2.1.0-2232-testing
gvSIG version: 2.1.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

El asistente no persiste los datos de las conexiones usadas anteriormente y siempre estas obligado a introducir los datos.
Ademas si falla al grabar los datos no proporciona informacion sobre que es lo que esta pasando y por que esa capa no se ha podido
guardar en la BBDD.

Se propone rehacer el asistente con la siguiente funcionaidad:

    -  Cuando se produzca un error muestre una informacion lo mas completa posible al usuario sobre el error.

    -  Que persista la informacion de conexion entre invocaciones al asistente y sessiones de gvSIG.

    -  Que de la posibilidad de añadir informacion a una capa ya existente. El usuario seleccionara de una lista de tablas en la BBDD a
la que quiera añadir los datos.

  Estos se guardaran en la capa asignando los valores a las columas que tengan el mismo nombre, esperando que sean de tipos
compatible.

    -  Que sea mas claro que es lo que va ha hacer si se selecciona la opcion de crear una clave primaria. 
  Lo que hara sera crear un nuevo campo de tipo serial, contador automtico, y se configurara como la clave primaria de la tabla.

    -  Que permita seleccionar como clave primaria un campo ya existente en la tabla origen, para lo que mostrara los campos
existentes para que el usuario seleccione uno. Es responsabilidad del usuario seleccionar un campo que no contenga valores
duplicados.

    -  Que permita especificar como debe comportarse si se encuentra con geometrias corruptas, fijar la geometria a null en a tabla de
BBDD, ignorar la feature entera o producirse un error.

    -  Que permita indicar que se desea hacer si se encuentran geometrias no validas, intentar repararlas, fijarlas a null, ignorar la
featura o fallar.

Ademas en general mejorar la usabilidad del asistente en todo lo posible.

History
#1 - 07/07/2014 02:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2232-testing

#2 - 07/07/2014 02:26 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

05/18/2024 1/2



#3 - 07/08/2014 04:33 AM - Álvaro Anguix
- Status changed from Fixed to Closed
